Rastreamento de Resíduos¶
Endpoints¶
- GET
/api/v1/waste-tracking— Lists all Waste Tracking Items with pagination - GET
/api/v1/waste-tracking/by-period— Lists all Waste Tracking Items, by period, with pagination - GET
/api/v1/waste-tracking/by-fcdr-number— Lists all Waste Tracking Items, by fcdr number, with pagination - GET
/api/v1/waste-tracking/weighing/download— Download digitalized Weighing Document - GET
/api/v1/waste-tracking/order/download— Download digitalized Order Document - GET
/api/v1/waste-tracking/inbound-manifest/download— Download digitalized Inbound Manifest Document - GET
/api/v1/waste-tracking/outbound-manifest/download— Download digitalized Outbound Manifest Document - GET
/api/v1/waste-tracking/outbound-cdf/download— Download digitalized Outbound CDF Document - GET
/api/v1/waste-tracking/rri/download— Download digitalized RRI Document - GET
/api/v1/waste-tracking/inea-cdf/download— Download digitalized Inea CDF Document - GET
/api/v1/waste-tracking/fcdr/download— Download digitalized Fcdr Document - GET
/api/v1/waste-tracking/ro/download— Download digitalized Ro Document - GET
/api/v1/waste-tracking/rt/download— Download digitalized Rt Document
GET /api/v1/waste-tracking¶
Lists all Waste Tracking Items with pagination
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
page |
query | integer (int32) | Current page, starts on 1 |
size |
query | integer (int32) | Page size |
Respostas¶
200 OK
Schema: WasteTrackingItemModelPagedApiResponse
400 Bad Request
Schema: ProblemDetails
GET /api/v1/waste-tracking/by-period¶
Lists all Waste Tracking Items, by period, with pagination
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
start |
query | string (date-time) | Period start |
end |
query | string (date-time) | Period end |
page |
query | integer (int32) | Current page, starts on 1 |
size |
query | integer (int32) | Page size |
Respostas¶
200 OK
Schema: WasteTrackingItemModelPagedApiResponse
400 Bad Request
Schema: ProblemDetails
GET /api/v1/waste-tracking/by-fcdr-number¶
Lists all Waste Tracking Items, by fcdr number, with pagination
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
fcdrNumber |
query | string | Fcdr number |
operationalUnitAcronym |
query | string | Operational Unit Acronym (Optional) |
start |
query | string (date-time) | Period start (Optional) |
end |
query | string (date-time) | Period end (Optional) |
page |
query | integer (int32) | Current page, starts on 1 |
size |
query | integer (int32) | Page size |
Respostas¶
200 OK
Schema: WasteTrackingItemModelPagedApiResponse
400 Bad Request
Schema: ProblemDetails
GET /api/v1/waste-tracking/weighing/download¶
Download digitalized Weighing Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/order/download¶
Download digitalized Order Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/inbound-manifest/download¶
Download digitalized Inbound Manifest Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/outbound-manifest/download¶
Download digitalized Outbound Manifest Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/outbound-cdf/download¶
Download digitalized Outbound CDF Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/rri/download¶
Download digitalized RRI Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/inea-cdf/download¶
Download digitalized Inea CDF Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/fcdr/download¶
Download digitalized Fcdr Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/ro/download¶
Download digitalized Ro Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails
GET /api/v1/waste-tracking/rt/download¶
Download digitalized Rt Document
Parâmetros¶
| Nome | Em | Tipo | Descrição |
|---|---|---|---|
hash |
query | string | Document identifier |
Respostas¶
200 OK
Retorna: Dados de arquivo binário
404 Not Found
Schema: ProblemDetails